(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 10.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     65468,       1595]
NotebookOptionsPosition[     59072,       1489]
NotebookOutlinePosition[     59464,       1505]
CellTagsIndexPosition[     59421,       1502]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Import and Plot Mass Spectra", "Title",
 CellChangeTimes->{{3.6244666210371523`*^9, 
  3.624466630344554*^9}},ExpressionUUID->"327a14db-cd1f-4ef7-be00-\
8066f014904c"],

Cell["Coded by Eric Bakker (eric.bakker@unige.ch)", "Text",
 CellChangeTimes->{{3.6244666412504063`*^9, 3.624466651832052*^9}, {
  3.63048197797071*^9, 3.630481982019511*^9}, {3.907295809969335*^9, 
  3.907295816967033*^9}},ExpressionUUID->"2cc1ee7a-5b2f-4439-be33-\
2cb32bd6b26f"],

Cell["\<\
Copy the data from Excel and then run this first command to paste it into \
mathematica:\
\>", "Text",
 CellChangeTimes->{{3.630481829574602*^9, 3.6304818511952467`*^9}, {
  3.907295846989949*^9, 3.907295852153748*^9}},
 Background->RGBColor[
  0.88, 1, 0.88],ExpressionUUID->"1ba5d938-4aed-4023-ae8e-b535d668be9f"],

Cell[BoxData[
 RowBox[{
  RowBox[{"rawdata", "=", 
   RowBox[{"InputString", "[", "\"\<Please paste your data\>\"", "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.630481621402503*^9, 3.630481621403472*^9}, 
   3.630481717819792*^9, {3.630481872941142*^9, 3.630481873542527*^9}, {
   3.630481924233684*^9, 3.6304819300176697`*^9}, 3.6304821090127773`*^9, {
   3.6305744178592052`*^9, 3.6305744182421017`*^9}},
 Background->RGBColor[
  0.88, 1, 0.88],ExpressionUUID->"fa92cbc4-54d7-4fc4-926c-6ba6b25df55c"],

Cell["Now run the code .", "Text",
 CellChangeTimes->{{3.907295872459096*^9, 
  3.9072958766283493`*^9}},ExpressionUUID->"fd6c693c-23f9-447e-8b46-\
0d795f0f1d0c"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"dataimport", "=", 
  RowBox[{"ImportString", "[", 
   RowBox[{"rawdata", ",", "\"\<Table\>\""}], "]"}]}]], "Input",
 CellChangeTimes->{{3.704427854073825*^9, 
  3.704427855086377*^9}},ExpressionUUID->"7ecf0ad7-2bc3-4ad7-94c2-\
9375d56853ff"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"27.`", ",", "1.2`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"31.`", ",", "1.8`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"37.`", ",", "1.7`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"38.`", ",", "2.5`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"39.`", ",", "8.2`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"49.`", ",", "1.3`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"50.`", ",", "10.`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"51.`", ",", "12.7`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"52.`", ",", "15.`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"63.`", ",", "2.`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"73.`", ",", "1.1`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"74.`", ",", "3.7`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"75.`", ",", "1.5`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"76.`", ",", "3.6`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"77.`", ",", "15.9`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"78.`", ",", "100.`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"79.`", ",", "6.7`"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.630481944039665*^9, 3.630482028106802*^9, {3.6305016426738997`*^9, 
   3.63050165338347*^9}, 3.674207669195599*^9, 3.674207740515526*^9, 
   3.704427815290312*^9, 
   3.704428032828434*^9},ExpressionUUID->"f6cb1595-820d-434b-be98-\
950cb74553a8"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"TableForm", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"5", ",", "7"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"4", ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"10", ",", "3"}], "}"}]}], "}"}], ",", 
   RowBox[{"TableHeadings", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "\"\<Group A\>\"", ",", "\"\<Group B\>\"", ",", "\"\<Group C\>\""}], 
       "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"\"\<y1\>\"", ",", "\"\<y2\>\""}], "}"}]}], "}"}]}]}], 
  "]"}]], "Input",ExpressionUUID->"02cafdeb-0a0b-4c44-9f16-c141f8e23e18"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"TableForm", "[", 
  RowBox[{"dataimport", ",", ",", 
   RowBox[{"TableHeadings", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"None", ",", 
      RowBox[{"{", 
       RowBox[{"\"\<m/z\>\"", ",", "\"\<Int\>\""}], "}"}]}], "}"}]}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.704427857710506*^9, 3.704427858374072*^9}, {
  3.704429427765726*^9, 3.704429449843071*^9}},
 NumberMarks->False,ExpressionUUID->"7bd0aac9-affe-4b6c-bbd5-82c016d32978"],

Cell[BoxData[
 TagBox[
  TagBox[GridBox[{
     {
      TagBox["\<\"m/z\"\>",
       HoldForm], 
      TagBox["\<\"Int\"\>",
       HoldForm]},
     {"27.`", "1.2`"},
     {"31.`", "1.8`"},
     {"37.`", "1.7`"},
     {"38.`", "2.5`"},
     {"39.`", "8.2`"},
     {"49.`", "1.3`"},
     {"50.`", "10.`"},
     {"51.`", "12.7`"},
     {"52.`", "15.`"},
     {"63.`", "2.`"},
     {"73.`", "1.1`"},
     {"74.`", "3.7`"},
     {"75.`", "1.5`"},
     {"76.`", "3.6`"},
     {"77.`", "15.9`"},
     {"78.`", "100.`"},
     {"79.`", "6.7`"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxDividers->{
     "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
      "Rows" -> {False, True, {False}, False}, "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[2.0999999999999996`]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}],
   {None, OutputFormsDump`HeadedColumns}],
  Function[BoxForm`e$, 
   TableForm[
   BoxForm`e$, Null, TableHeadings -> {None, {"m/z", "Int"}}]]]], "Output",
 CellChangeTimes->{
  3.674207745014576*^9, 3.7044278153310003`*^9, {3.704428025573957*^9, 
   3.704428035958047*^9}, {3.704429429052266*^9, 
   3.70442945027367*^9}},ExpressionUUID->"81a4383e-5e43-48a7-aa0c-\
b12c0ba65524"]
}, Open  ]],

Cell["\<\
In order to keep the data within the mathematica file, manually copy/paste \
the data and label the list as data here. \
\>", "Text",
 CellChangeTimes->{{3.624466751654261*^9, 3.624466797307827*^9}, {
   3.6244668274595413`*^9, 3.62446689304595*^9}, {3.624468296809772*^9, 
   3.6244683166941347`*^9}, {3.6245068387399406`*^9, 3.62450684086047*^9}, 
   3.907295935939831*^9},
 Background->RGBColor[
  0.88, 1, 0.88],ExpressionUUID->"ed0804b0-0905-482b-99ee-76e95c43ce1e"],

Cell[BoxData[
 RowBox[{
  RowBox[{"data", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"27.`", ",", "1.2`"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"31.`", ",", "1.8`"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"37.`", ",", "1.7`"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"38.`", ",", "2.5`"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"39.`", ",", "8.2`"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"49.`", ",", "1.3`"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"50.`", ",", "10.`"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"51.`", ",", "12.7`"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"52.`", ",", "15.`"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"63.`", ",", "2.`"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"73.`", ",", "1.1`"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"74.`", ",", "3.7`"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"75.`", ",", "1.5`"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"76.`", ",", "3.6`"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"77.`", ",", "15.9`"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"78.`", ",", "100.`"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"79.`", ",", "6.7`"}], "}"}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.624453567253475*^9, 3.624453583926297*^9}, {
   3.624453642922311*^9, 3.62445366249035*^9}, {3.624461701671483*^9, 
   3.624461711010558*^9}, {3.624466785882559*^9, 3.624466789254138*^9}, {
   3.624472095783149*^9, 3.624472097104896*^9}, 3.6245068295850353`*^9, 
   3.704428053024194*^9},
 Background->RGBColor[
  0.88, 1, 0.88],ExpressionUUID->"ef377d91-6543-41eb-a406-f68855880d8a"],

Cell["\<\
Maximum intensity and maximum mass calculation (if mass is smaller than 250, \
plot to 250).\
\>", "Text",
 CellChangeTimes->{{3.624528376736335*^9, 
  3.62452841091715*^9}},ExpressionUUID->"d8aa97ba-2a32-4475-aa38-\
acfb33e9b2e8"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"ymax", "=", 
    RowBox[{"Max", "[", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"data", "[", 
        RowBox[{"[", 
         RowBox[{"u", ",", " ", "2"}], "]"}], "]"}], ",", " ", 
       RowBox[{"{", 
        RowBox[{"u", ",", " ", "1", ",", " ", 
         RowBox[{"Length", "[", "data", "]"}]}], "}"}]}], "]"}], "]"}]}], 
   ";"}], "\n"}], "\n", 
 RowBox[{
  RowBox[{"xmax", "=", 
   RowBox[{"Max", "[", 
    RowBox[{"100", ",", 
     RowBox[{
      RowBox[{"data", "[", 
       RowBox[{"[", 
        RowBox[{
         RowBox[{"Length", "[", "data", "]"}], ",", " ", "1"}], "]"}], "]"}], 
      "+", "10"}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.674207674517193*^9, 
  3.6742076749394703`*^9}},ExpressionUUID->"bc1b0dc0-06ec-41af-b881-\
8de904aa9c75"],

Cell["\<\
Choose a maximum mass manually if needed (replace % with desired mass):\
\>", "Text",
 CellChangeTimes->{{3.624552378313573*^9, 3.624552395911578*^9}, {
  3.6245524325024433`*^9, 
  3.624552444637294*^9}},ExpressionUUID->"bdb62272-4541-4b95-a8ad-\
4e523f42eed4"],

Cell[BoxData[
 RowBox[{
  RowBox[{"xmax", "=", "%"}], ";"}]], "Input",
 CellChangeTimes->{{3.624548484012932*^9, 3.6245484921408978`*^9}, {
  3.624552399418427*^9, 
  3.624552400666233*^9}},ExpressionUUID->"ecac3cc3-49f9-4c85-a895-\
5ea95f7b5ce0"],

Cell["\<\

\
\>", "Text",
 CellChangeTimes->{{3.624466999101985*^9, 
  3.624467000790066*^9}},ExpressionUUID->"13c32e0f-0a49-490a-9b9e-\
b661007ce4ba"],

Cell[CellGroupData[{

Cell["\<\
Automatically identify and retain the largest peak in a given mass window\
\>", "Section",
 CellChangeTimes->{{3.624465558073145*^9, 3.624465566911512*^9}, {
   3.624465639675591*^9, 3.624465650575119*^9}, {3.624466310459484*^9, 
   3.6244663268196163`*^9}, {3.624466412004856*^9, 3.624466450853777*^9}, 
   3.624466978967766*^9, {3.624467212092142*^9, 3.624467212411838*^9}, {
   3.624507015707408*^9, 3.624507051129912*^9}, {3.62450869299166*^9, 
   3.6245086950318832`*^9}, {3.624510516630975*^9, 
   3.624510519902773*^9}},ExpressionUUID->"1799c637-97f2-4aea-8f81-\
1095bb35fc99"],

Cell[CellGroupData[{

Cell[BoxData["data"], "Input",
 CellChangeTimes->{{3.624507034169718*^9, 
  3.6245070344997797`*^9}},ExpressionUUID->"81ebb1f7-1bf7-4260-95b3-\
c65e61f21431"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"27.`", ",", "1.2`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"31.`", ",", "1.8`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"37.`", ",", "1.7`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"38.`", ",", "2.5`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"39.`", ",", "8.2`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"49.`", ",", "1.3`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"50.`", ",", "10.`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"51.`", ",", "12.7`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"52.`", ",", "15.`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"63.`", ",", "2.`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"73.`", ",", "1.1`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"74.`", ",", "3.7`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"75.`", ",", "1.5`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"76.`", ",", "3.6`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"77.`", ",", "15.9`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"78.`", ",", "100.`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"79.`", ",", "6.7`"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.624507035833239*^9, 3.624510504839596*^9, {3.624510576713354*^9, 
   3.6245106245144873`*^9}, {3.6245108627934732`*^9, 3.624510887535514*^9}, 
   3.624511007760456*^9, {3.62451123517933*^9, 3.624511256295204*^9}, {
   3.624511291663519*^9, 3.624511306416895*^9}, 3.624528448738055*^9, {
   3.624548325881474*^9, 3.624548393041782*^9}, 3.624548499005877*^9, 
   3.624548556370579*^9, 3.624549498606892*^9, 3.6245497135055943`*^9, {
   3.6245499854507093`*^9, 3.624549998742902*^9}, 3.624550030800502*^9, 
   3.624550604563225*^9, {3.624551296164523*^9, 3.6245513438199368`*^9}, 
   3.6245514077481613`*^9, 3.6245525020994062`*^9, 3.6304799653695173`*^9, 
   3.630481155038968*^9, {3.6304812541070833`*^9, 3.630481268140377*^9}, 
   3.6304820344595327`*^9, {3.630501643130265*^9, 3.6305016534708652`*^9}, 
   3.6742076837239*^9, 3.704427815563278*^9, 
   3.7044280589568033`*^9},ExpressionUUID->"d7d1b1a6-0955-4827-8295-\
0354c1b1cc3c"]
}, Open  ]],

Cell["Define the range for accepting one maximum for labeling :", "Text",
 CellChangeTimes->{{3.624510393240272*^9, 3.6245104085875387`*^9}, 
   3.624510524431251*^9},ExpressionUUID->"8757527d-9ca7-419c-9425-\
2bb05e56bb4a"],

Cell[BoxData[
 RowBox[{
  RowBox[{"range", "=", "10"}], ";"}]], "Input",
 CellChangeTimes->{{3.624507156913869*^9, 3.6245071815834093`*^9}, 
   3.624509168263123*^9, {3.6245105849281*^9, 3.624510621024145*^9}, {
   3.624510859791094*^9, 3.6245108598580227`*^9}, {3.624511232699933*^9, 
   3.6245112328228083`*^9}, {3.6245112674977837`*^9, 3.624511267587373*^9}, {
   3.624548343722484*^9, 3.624548390070532*^9}, {3.624548545232007*^9, 
   3.624548545350184*^9}, {3.6245493623031397`*^9, 3.624549366165279*^9}, 
   3.6245497090952997`*^9, {3.6245513216195717`*^9, 
   3.6245513223359537`*^9}},ExpressionUUID->"2ab33a9b-7614-414d-933f-\
49b777ca8923"],

Cell["\<\
Define the increment by which this window is moved across the data :\
\>", "Text",
 CellChangeTimes->{{3.624510833687085*^9, 
  3.624510853183649*^9}},ExpressionUUID->"b9189c49-38ee-4031-9cc1-\
fc895d9e65e6"],

Cell[BoxData[
 RowBox[{
  RowBox[{"increment", "=", "6"}], ";"}]], "Input",
 CellChangeTimes->{{3.6245108546911373`*^9, 3.624510857545854*^9}, {
   3.6245112532381*^9, 3.624511265425337*^9}, 3.6245113224973803`*^9, {
   3.6245483721670847`*^9, 3.624548372283867*^9}, 3.6245497113099327`*^9, {
   3.624549994741507*^9, 3.6245499948452463`*^9}, {3.6245513402239122`*^9, 
   3.62455134029668*^9}, {3.624551405243013*^9, 
   3.624551405395255*^9}},ExpressionUUID->"a4939b3e-52e7-4bcf-a8e3-\
c38182061a69"],

Cell["\<\
Introduce a cutoff intensity (smaller peak intensity than this will not be \
labeled) :\
\>", "Text",
 CellChangeTimes->{{3.6245514431947107`*^9, 3.6245514534075537`*^9}, {
  3.6245522874918537`*^9, 3.62455229359834*^9}, {3.907295982808469*^9, 
  3.9072959854829073`*^9}},ExpressionUUID->"d4a56348-e8d9-48c1-bf48-\
88dbc15219dc"],

Cell[BoxData[
 RowBox[{
  RowBox[{"cutoff", "=", "5"}], ";"}]], "Input",
 CellChangeTimes->{{3.62455145679105*^9, 
  3.6245514596660748`*^9}},ExpressionUUID->"84daa45c-f7e4-41f0-b7b1-\
960410b9f3c4"],

Cell["\<\

\
\>", "Text",
 CellChangeTimes->{{3.6245522969281*^9, 
  3.624552301053734*^9}},ExpressionUUID->"019a0f03-edfd-4399-bad4-\
3304f3bd879a"],

Cell["This is to illustrate the development of the code :", "Text",
 CellChangeTimes->{{3.6245103530110273`*^9, 3.624510364935413*^9}, {
  3.907295992671913*^9, 
  3.907295993461466*^9}},ExpressionUUID->"156392f5-4d26-48fd-9272-\
fe968a3399bf"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"w", "=", 
  RowBox[{"Table", "[", 
   RowBox[{"u", ",", " ", 
    RowBox[{"{", 
     RowBox[{"u", ",", " ", "k", ",", " ", 
      RowBox[{"k", "+", "range"}]}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.624507191871015*^9, 3.6245072069940434`*^9}, {
   3.624507388097316*^9, 3.6245073983413563`*^9}, {3.62450755488383*^9, 
   3.6245075565587177`*^9}, {3.6245076000997562`*^9, 
   3.6245076054403133`*^9}, {3.624508861350973*^9, 3.6245088638016043`*^9}, {
   3.6245096410799217`*^9, 3.624509643287272*^9}, {3.624509816351513*^9, 
   3.624509821600768*^9}, {3.624510198963401*^9, 3.624510199193162*^9}, {
   3.624510495228397*^9, 3.6245105018008823`*^9}, {3.624510672951565*^9, 
   3.624510673934742*^9}, {3.6245109103975697`*^9, 3.624510911005679*^9}, {
   3.624549822756216*^9, 3.624549840867078*^9}, 
   3.624550643467852*^9},ExpressionUUID->"c4539a98-2fe8-41cb-933a-\
192807881fc0"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"k", ",", 
   RowBox[{"1", "+", "k"}], ",", 
   RowBox[{"2", "+", "k"}], ",", 
   RowBox[{"3", "+", "k"}], ",", 
   RowBox[{"4", "+", "k"}], ",", 
   RowBox[{"5", "+", "k"}], ",", 
   RowBox[{"6", "+", "k"}], ",", 
   RowBox[{"7", "+", "k"}], ",", 
   RowBox[{"8", "+", "k"}], ",", 
   RowBox[{"9", "+", "k"}], ",", 
   RowBox[{"10", "+", "k"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.6245072119463987`*^9, {3.6245073899890537`*^9, 3.624507398670088*^9}, 
   3.624507557164753*^9, {3.6245076015938673`*^9, 3.62450760587296*^9}, 
   3.6245088655575113`*^9, 3.624509171197102*^9, 3.6245096436980133`*^9, 
   3.624509702044117*^9, {3.6245098172197104`*^9, 3.624509822223568*^9}, 
   3.6245101998766737`*^9, {3.6245105025977182`*^9, 3.6245105049222393`*^9}, {
   3.624510576748736*^9, 3.624510624822843*^9}, 3.6245106742964163`*^9, {
   3.624510862852865*^9, 3.624510911389699*^9}, 3.62451100782578*^9, {
   3.62451123556419*^9, 3.6245112566522017`*^9}, {3.6245112917628202`*^9, 
   3.6245113064975033`*^9}, 3.6245284488121758`*^9, {3.62454832598284*^9, 
   3.624548393422145*^9}, 3.62454849942104*^9, 3.6245485568449097`*^9, 
   3.624549499021226*^9, 3.62454971392585*^9, {3.624549823318035*^9, 
   3.624549841514991*^9}, {3.62454998551079*^9, 3.624549999158269*^9}, 
   3.624550031177965*^9, 3.624550604995261*^9, 3.624550643883232*^9, {
   3.6245512965587063`*^9, 3.624551344222514*^9}, 3.624551408183213*^9, 
   3.6245525021675663`*^9, 3.630479965477779*^9, 3.6304811551378098`*^9, {
   3.630481254190337*^9, 3.630481268223558*^9}, 3.630482034527813*^9, {
   3.630501643290676*^9, 3.6305016535252123`*^9}, 3.6742076837601357`*^9, 
   3.7044278156119213`*^9, 
   3.704428059031397*^9},ExpressionUUID->"7e51c158-9c18-45f9-b4f6-\
ee6224d8f2d9"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"w", "[", 
  RowBox[{"[", "1", "]"}], "]"}]], "Input",ExpressionUUID->"e4646160-22cd-43ae-8e9e-dc31e92e51ca"],

Cell[BoxData["k"], "Output",
 CellChangeTimes->{
  3.6245097314379168`*^9, 3.624510504937168*^9, {3.624510576796056*^9, 
   3.624510624867378*^9}, 3.6245106777448606`*^9, {3.624510862886574*^9, 
   3.624510913802321*^9}, 3.624511007842304*^9, {3.624511235594905*^9, 
   3.624511256682626*^9}, {3.624511291813691*^9, 3.6245113065467863`*^9}, 
   3.624528448868248*^9, {3.6245483260211887`*^9, 3.624548393459049*^9}, 
   3.624548499459332*^9, 3.6245485568949013`*^9, 3.624549499066965*^9, 
   3.624549713971931*^9, 3.624549846225173*^9, {3.624549985534734*^9, 
   3.6245499991982613`*^9}, 3.6245500312142363`*^9, 3.624550605043056*^9, 
   3.624550646890553*^9, {3.624551296591888*^9, 3.624551344262533*^9}, 
   3.624551408233717*^9, 3.6245525022202587`*^9, 3.6304799655484247`*^9, 
   3.630481155176036*^9, {3.630481254229314*^9, 3.630481268262521*^9}, 
   3.6304820345639067`*^9, {3.63050164333033*^9, 3.6305016535642653`*^9}, 
   3.674207683803907*^9, 3.7044278156531897`*^9, 
   3.704428059067635*^9},ExpressionUUID->"0e2bad62-633c-4ff0-857b-\
9762e4351f8b"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Last", "[", "w", "]"}]], "Input",ExpressionUUID->"8f26da4a-2832-4f43-8007-53b788b617a6"],

Cell[BoxData[
 RowBox[{"10", "+", "k"}]], "Output",
 CellChangeTimes->{
  3.624509736506813*^9, 3.6245105049781933`*^9, {3.624510576829795*^9, 
   3.624510624915763*^9}, 3.624510679272689*^9, {3.624510862905974*^9, 
   3.624510916210911*^9}, 3.624511007875252*^9, {3.6245112356305523`*^9, 
   3.624511256730774*^9}, {3.624511291863268*^9, 3.624511306597189*^9}, 
   3.624528448919498*^9, {3.624548326054655*^9, 3.62454839350839*^9}, 
   3.624548499508671*^9, 3.62454855695607*^9, 3.624549499099391*^9, 
   3.624549714022114*^9, 3.6245498487851353`*^9, {3.624549985576293*^9, 
   3.624549999249228*^9}, 3.624550031260366*^9, 3.624550605093103*^9, 
   3.624550651222041*^9, {3.6245512966410303`*^9, 3.624551344287624*^9}, 
   3.624551408280476*^9, 3.624552502271904*^9, 3.630479965664171*^9, 
   3.63048115520967*^9, {3.630481254262333*^9, 3.630481268296028*^9}, 
   3.630482034598374*^9, {3.630501643366049*^9, 3.6305016536144857`*^9}, 
   3.674207683834804*^9, 3.704427815692691*^9, 
   3.7044280591015167`*^9},ExpressionUUID->"41ad1246-2dd3-46a7-9c37-\
bd1f7c90cb22"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"Position", "[", 
    RowBox[{
     RowBox[{"data", "[", 
      RowBox[{"[", 
       RowBox[{"All", ",", " ", "1"}], "]"}], "]"}], ",", "u"}], "]"}], ",", 
   " ", 
   RowBox[{"{", 
    RowBox[{"u", ",", " ", 
     RowBox[{
      RowBox[{"w", "[", 
       RowBox[{"[", "1", "]"}], "]"}], "/.", 
      RowBox[{"k", "\[Rule]", " ", "40"}]}], ",", " ", 
     RowBox[{
      RowBox[{"Last", "[", "w", "]"}], "/.", 
      RowBox[{"k", "\[Rule]", " ", "40"}]}]}], "}"}]}], "]"}]], "Input",Expres\
sionUUID->"fce50a94-0f26-4eda-b9c9-5a9a2fc9404e"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", "}"}], ",", 
   RowBox[{"{", "}"}], ",", 
   RowBox[{"{", "}"}], ",", 
   RowBox[{"{", "}"}], ",", 
   RowBox[{"{", "}"}], ",", 
   RowBox[{"{", "}"}], ",", 
   RowBox[{"{", "}"}], ",", 
   RowBox[{"{", "}"}], ",", 
   RowBox[{"{", "}"}], ",", 
   RowBox[{"{", "}"}], ",", 
   RowBox[{"{", "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.6245507439442*^9, {3.624551296690793*^9, 3.624551344328223*^9}, 
   3.62455140833076*^9, 3.624552502320426*^9, 3.630479965750475*^9, 
   3.630481155242928*^9, {3.630481254312766*^9, 3.630481268329488*^9}, 
   3.630482034630275*^9, {3.63050164362002*^9, 3.630501653663931*^9}, 
   3.6742076838527327`*^9, 3.7044278158676033`*^9, 
   3.704428059135117*^9},ExpressionUUID->"ddacdf1f-1e0d-4e4d-9012-\
599ea477986c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Flatten", "[", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"Position", "[", 
     RowBox[{
      RowBox[{"data", "[", 
       RowBox[{"[", 
        RowBox[{"All", ",", " ", "1"}], "]"}], "]"}], ",", "u"}], "]"}], ",", 
    " ", 
    RowBox[{"{", 
     RowBox[{"u", ",", " ", 
      RowBox[{
       RowBox[{"w", "[", 
        RowBox[{"[", "1", "]"}], "]"}], "/.", 
       RowBox[{"k", "\[Rule]", " ", "40"}]}], ",", " ", 
      RowBox[{
       RowBox[{"Last", "[", "w", "]"}], "/.", 
       RowBox[{"k", "\[Rule]", " ", "40"}]}]}], "}"}]}], "]"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.624509670283682*^9, 3.624509697339549*^9}, {
  3.6245097623265963`*^9, 3.6245097668391247`*^9}, {3.6245098048437138`*^9, 
  3.624509833667304*^9}, {3.624550662329156*^9, 
  3.624550707800511*^9}},ExpressionUUID->"3900678f-0e46-4c10-8868-\
796e5f627a4d"],

Cell[BoxData[
 RowBox[{"{", "}"}]], "Output",
 CellChangeTimes->{
  3.6245506051498003`*^9, {3.624550658484735*^9, 3.624550665322056*^9}, {
   3.624550698417695*^9, 3.624550708362752*^9}, {3.6245512967436647`*^9, 
   3.62455134437883*^9}, 3.62455140838017*^9, 3.62455250237171*^9, 
   3.630479965866255*^9, 3.6304811552767677`*^9, {3.630481254345708*^9, 
   3.630481268379754*^9}, 3.630482034648806*^9, {3.630501643819358*^9, 
   3.630501653692955*^9}, 3.6742076838836203`*^9, 3.704427815984795*^9, 
   3.704428059168968*^9},ExpressionUUID->"1bc22f00-6d69-4ac1-9441-\
fe579ff78dbb"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"data", "[", 
    RowBox[{"[", 
     RowBox[{
      RowBox[{"Flatten", "[", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"Position", "[", 
          RowBox[{
           RowBox[{"data", "[", 
            RowBox[{"[", 
             RowBox[{"All", ",", " ", "1"}], "]"}], "]"}], ",", "u"}], "]"}], 
         ",", " ", 
         RowBox[{"{", 
          RowBox[{"u", ",", " ", 
           RowBox[{
            RowBox[{"w", "[", 
             RowBox[{"[", "1", "]"}], "]"}], "/.", 
            RowBox[{"k", "\[Rule]", " ", "40"}]}], ",", " ", 
           RowBox[{
            RowBox[{"Last", "[", "w", "]"}], "/.", 
            RowBox[{"k", "\[Rule]", " ", "40"}]}]}], "}"}]}], "]"}], "]"}], 
      "[", 
      RowBox[{"[", "n", "]"}], "]"}], "]"}], "]"}], ",", " ", 
   RowBox[{"{", 
    RowBox[{"n", ",", " ", "1", ",", 
     RowBox[{"Length", "[", 
      RowBox[{"Flatten", "[", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"Position", "[", 
          RowBox[{
           RowBox[{"data", "[", 
            RowBox[{"[", 
             RowBox[{"All", ",", " ", "1"}], "]"}], "]"}], ",", "u"}], "]"}], 
         ",", " ", 
         RowBox[{"{", 
          RowBox[{"u", ",", " ", 
           RowBox[{
            RowBox[{"w", "[", 
             RowBox[{"[", "1", "]"}], "]"}], "/.", 
            RowBox[{"k", "\[Rule]", " ", "40"}]}], ",", " ", 
           RowBox[{
            RowBox[{"Last", "[", "w", "]"}], "/.", 
            RowBox[{"k", "\[Rule]", " ", "40"}]}]}], "}"}]}], "]"}], "]"}], 
      "]"}]}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.624509670283682*^9, 3.624509697339549*^9}, {
  3.6245097623265963`*^9, 3.6245097668391247`*^9}, {3.6245098048437138`*^9, 
  3.624509876658205*^9}, {3.6245099306255827`*^9, 3.624509945737609*^9}, {
  3.624510714841939*^9, 3.6245107149666147`*^9}, {3.624510925673456*^9, 
  3.6245109257925797`*^9}, {3.624510971380355*^9, 3.624510974479588*^9}, {
  3.624550777248563*^9, 3.624550802798708*^9}, {3.624551005827422*^9, 
  3.624551007928493*^9}},ExpressionUUID->"6d18e358-3a1a-428a-8877-\
6b39a77ed902"],

Cell[BoxData[
 RowBox[{"{", "}"}]], "Output",
 CellChangeTimes->{
  3.6245098771936073`*^9, {3.624509937364805*^9, 3.624509946261634*^9}, 
   3.6245105050611773`*^9, {3.6245105769622307`*^9, 3.624510625015196*^9}, 
   3.624510684518268*^9, 3.624510715487585*^9, {3.6245108633648357`*^9, 
   3.6245108881348543`*^9}, 3.624510926285961*^9, 3.624510974918872*^9, 
   3.624511007941608*^9, {3.624511235729504*^9, 3.624511256828363*^9}, {
   3.6245112919631977`*^9, 3.624511306697708*^9}, 3.624528449018765*^9, {
   3.6245483261052103`*^9, 3.6245483936083317`*^9}, 3.624548499591959*^9, 
   3.624548557056958*^9, 3.624549499199328*^9, 3.624549714119811*^9, 
   3.624549856214295*^9, {3.624549985678096*^9, 3.6245499993440247`*^9}, 
   3.62455003138019*^9, 3.624550605242278*^9, {3.624550781811228*^9, 
   3.62455080349752*^9}, {3.624550990990073*^9, 3.624551008336175*^9}, {
   3.624551296791794*^9, 3.624551344426358*^9}, 3.624551408427387*^9, 
   3.624552502421167*^9, 3.6304799659617443`*^9, 3.630481155310227*^9, {
   3.630481254395389*^9, 3.630481268413673*^9}, 3.630482034680883*^9, {
   3.630501644035398*^9, 3.630501653708263*^9}, 3.6742076839026546`*^9, 
   3.704427816107991*^9, 
   3.7044280591905003`*^9},ExpressionUUID->"5ab0c545-272b-4b8e-9fab-\
6202d269669c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MaximalBy", "[", 
  RowBox[{
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"data", "[", 
      RowBox[{"[", 
       RowBox[{
        RowBox[{"Flatten", "[", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"Position", "[", 
            RowBox[{
             RowBox[{"data", "[", 
              RowBox[{"[", 
               RowBox[{"All", ",", " ", "1"}], "]"}], "]"}], ",", "u"}], 
            "]"}], ",", " ", 
           RowBox[{"{", 
            RowBox[{"u", ",", " ", 
             RowBox[{
              RowBox[{"w", "[", 
               RowBox[{"[", "1", "]"}], "]"}], "/.", 
              RowBox[{"k", "\[Rule]", " ", "40"}]}], ",", " ", 
             RowBox[{
              RowBox[{"Last", "[", "w", "]"}], "/.", 
              RowBox[{"k", "\[Rule]", " ", "40"}]}]}], "}"}]}], "]"}], "]"}], 
        "[", 
        RowBox[{"[", "n", "]"}], "]"}], "]"}], "]"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"n", ",", " ", "1", ",", 
       RowBox[{"Length", "[", 
        RowBox[{"Flatten", "[", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"Position", "[", 
            RowBox[{
             RowBox[{"data", "[", 
              RowBox[{"[", 
               RowBox[{"All", ",", " ", "1"}], "]"}], "]"}], ",", "u"}], 
            "]"}], ",", " ", 
           RowBox[{"{", 
            RowBox[{"u", ",", " ", 
             RowBox[{
              RowBox[{"w", "[", 
               RowBox[{"[", "1", "]"}], "]"}], "/.", 
              RowBox[{"k", "\[Rule]", " ", "40"}]}], ",", " ", 
             RowBox[{
              RowBox[{"Last", "[", "w", "]"}], "/.", 
              RowBox[{"k", "\[Rule]", " ", "40"}]}]}], "}"}]}], "]"}], "]"}], 
        "]"}]}], "}"}]}], "]"}], ",", " ", "Last"}], "]"}]], "Input",
 CellChangeTimes->{{3.624509670283682*^9, 3.624509697339549*^9}, {
  3.6245097623265963`*^9, 3.6245097668391247`*^9}, {3.6245098048437138`*^9, 
  3.624509876658205*^9}, {3.6245099306255827`*^9, 3.624509945737609*^9}, {
  3.624510714841939*^9, 3.6245107149666147`*^9}, {3.624510925673456*^9, 
  3.6245109257925797`*^9}, {3.624510971380355*^9, 3.624510974479588*^9}, {
  3.624550777248563*^9, 3.624550802798708*^9}, {3.624551005827422*^9, 
  3.624551038653173*^9}},ExpressionUUID->"bca37383-848f-4101-b5ac-\
5faa5e0d083d"],

Cell[BoxData[
 RowBox[{"{", "}"}]], "Output",
 CellChangeTimes->{
  3.6245510389770317`*^9, {3.624551296843487*^9, 3.6245513444780693`*^9}, 
   3.624551408479904*^9, 3.624552502470915*^9, 3.630479966048015*^9, 
   3.630481155341628*^9, {3.6304812544287786`*^9, 3.630481268462289*^9}, 
   3.6304820347142477`*^9, {3.630501644245187*^9, 3.630501653742885*^9}, 
   3.6742076839696836`*^9, 3.704427816386801*^9, 
   3.7044280592351227`*^9},ExpressionUUID->"dff7cd3b-9e3e-4359-a2d6-\
fce2191cb612"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"MaximalBy", "[", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"data", "[", 
        RowBox[{"[", 
         RowBox[{
          RowBox[{"Flatten", "[", 
           RowBox[{"Table", "[", 
            RowBox[{
             RowBox[{"Position", "[", 
              RowBox[{
               RowBox[{"data", "[", 
                RowBox[{"[", 
                 RowBox[{"All", ",", " ", "1"}], "]"}], "]"}], ",", "u"}], 
              "]"}], ",", " ", 
             RowBox[{"{", 
              RowBox[{"u", ",", " ", 
               RowBox[{"w", "[", 
                RowBox[{"[", "1", "]"}], "]"}], ",", " ", 
               RowBox[{"Last", "[", "w", "]"}]}], "}"}]}], "]"}], "]"}], "[", 
          
          RowBox[{"[", "n", "]"}], "]"}], "]"}], "]"}], ",", " ", 
       RowBox[{"{", 
        RowBox[{"n", ",", " ", "1", ",", 
         RowBox[{"Length", "[", 
          RowBox[{"Flatten", "[", 
           RowBox[{"Table", "[", 
            RowBox[{
             RowBox[{"Position", "[", 
              RowBox[{
               RowBox[{"data", "[", 
                RowBox[{"[", 
                 RowBox[{"All", ",", " ", "1"}], "]"}], "]"}], ",", "u"}], 
              "]"}], ",", " ", 
             RowBox[{"{", 
              RowBox[{"u", ",", " ", 
               RowBox[{"w", "[", 
                RowBox[{"[", "1", "]"}], "]"}], ",", " ", 
               RowBox[{"Last", "[", "w", "]"}]}], "}"}]}], "]"}], "]"}], 
          "]"}]}], "}"}]}], "]"}], ",", " ", "Last"}], "]"}], ",", " ", 
   RowBox[{"{", 
    RowBox[{"k", ",", " ", 
     RowBox[{"data", "[", 
      RowBox[{"[", 
       RowBox[{"1", ",", "1"}], "]"}], "]"}], ",", " ", 
     RowBox[{"xmax", "-", "range"}], ",", " ", "increment"}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.624509670283682*^9, 3.624509697339549*^9}, {
  3.6245097623265963`*^9, 3.6245097668391247`*^9}, {3.6245098048437138`*^9, 
  3.624509876658205*^9}, {3.6245099306255827`*^9, 3.624509945737609*^9}, {
  3.624510714841939*^9, 3.6245107149666147`*^9}, {3.624510925673456*^9, 
  3.6245109257925797`*^9}, {3.624510971380355*^9, 3.624510974479588*^9}, {
  3.624550777248563*^9, 3.624550802798708*^9}, {3.624551005827422*^9, 
  3.624551038653173*^9}, {3.624551106856638*^9, 
  3.6245512463415117`*^9}},ExpressionUUID->"d5974d50-8398-49b5-92f1-\
811d6f2bc7a7"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{"31.`", ",", "1.8`"}], "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{"39.`", ",", "8.2`"}], "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{"39.`", ",", "8.2`"}], "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{"52.`", ",", "15.`"}], "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{"52.`", ",", "15.`"}], "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{"63.`", ",", "2.`"}], "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{"63.`", ",", "2.`"}], "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{"78.`", ",", "100.`"}], "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{"78.`", ",", "100.`"}], "}"}], "}"}], ",", 
   RowBox[{"{", "}"}], ",", 
   RowBox[{"{", "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.6245511299909887`*^9, 3.624551246924172*^9}, {
   3.624551296892119*^9, 3.624551344526847*^9}, 3.624551408527121*^9, 
   3.624552502521797*^9, 3.6304799661306953`*^9, 3.630481155372864*^9, {
   3.630481254479587*^9, 3.630481268492942*^9}, 3.630482034767168*^9, {
   3.630501644447072*^9, 3.630501653775481*^9}, 3.674207684002277*^9, 
   3.704427816554965*^9, 
   3.704428059266995*^9},ExpressionUUID->"a913a312-eecd-4364-a6f0-\
3a17d1f99762"]
}, Open  ]],

Cell["\<\

\
\>", "Text",
 CellChangeTimes->{{3.624552307450555*^9, 
  3.624552314341913*^9}},ExpressionUUID->"26814d25-92f2-4037-9246-\
f9de5f06760b"],

Cell["And here we proceed to the final calculation :", "Text",
 CellChangeTimes->{{3.624510370239388*^9, 
  3.624510383663343*^9}},ExpressionUUID->"67e04dc6-aba3-43f3-8e0f-\
260a5f527871"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"w", "=", 
  RowBox[{"Table", "[", 
   RowBox[{"u", ",", " ", 
    RowBox[{"{", 
     RowBox[{"u", ",", " ", "k", ",", " ", 
      RowBox[{"k", "+", "range"}]}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.624507191871015*^9, 3.6245072069940434`*^9}, {
   3.624507388097316*^9, 3.6245073983413563`*^9}, {3.62450755488383*^9, 
   3.6245075565587177`*^9}, {3.6245076000997562`*^9, 
   3.6245076054403133`*^9}, {3.624508861350973*^9, 3.6245088638016043`*^9}, {
   3.6245096410799217`*^9, 3.624509643287272*^9}, {3.624509816351513*^9, 
   3.624509821600768*^9}, 
   3.624510171507869*^9},ExpressionUUID->"a1dc9e74-eabe-412d-abc0-\
5dd232053984"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"k", ",", 
   RowBox[{"1", "+", "k"}], ",", 
   RowBox[{"2", "+", "k"}], ",", 
   RowBox[{"3", "+", "k"}], ",", 
   RowBox[{"4", "+", "k"}], ",", 
   RowBox[{"5", "+", "k"}], ",", 
   RowBox[{"6", "+", "k"}], ",", 
   RowBox[{"7", "+", "k"}], ",", 
   RowBox[{"8", "+", "k"}], ",", 
   RowBox[{"9", "+", "k"}], ",", 
   RowBox[{"10", "+", "k"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.62451017184748*^9, 3.6245102157394953`*^9, 3.624510505178425*^9, {
   3.624510577112623*^9, 3.624510625198701*^9}, 3.6245107662163363`*^9, {
   3.624510864099399*^9, 3.624510888702799*^9}, 3.6245110080060167`*^9, {
   3.624511235828985*^9, 3.6245112569290247`*^9}, {3.6245112920643787`*^9, 
   3.624511306797333*^9}, 3.6245284491473293`*^9, {3.624548326682312*^9, 
   3.624548394425117*^9}, 3.624548500207246*^9, 3.624548557641992*^9, 
   3.624549499781879*^9, 3.624549715038878*^9, {3.624549985778417*^9, 
   3.6245499994441433`*^9}, 3.624550031489917*^9, 3.624550605342229*^9, {
   3.624551296941482*^9, 3.624551344575871*^9}, 3.624551408578307*^9, 
   3.624552502571846*^9, 3.630479966178619*^9, 3.630481155409647*^9, {
   3.630481254512027*^9, 3.6304812685294724`*^9}, 3.630482034797779*^9, {
   3.630501644491996*^9, 3.630501653788704*^9}, 3.674207684019206*^9, 
   3.704427816632575*^9, 
   3.704428059285372*^9},ExpressionUUID->"f8135f5b-a09c-4cf1-be7f-\
4d89190368ac"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"listlabel", "=", 
  RowBox[{"IntegerPart", "[", 
   RowBox[{"Flatten", "[", 
    RowBox[{
     RowBox[{"DeleteDuplicates", "[", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"MaximalBy", "[", 
         RowBox[{
          RowBox[{"Table", "[", 
           RowBox[{
            RowBox[{"data", "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"Flatten", "[", 
                RowBox[{"Table", "[", 
                 RowBox[{
                  RowBox[{"Position", "[", 
                   RowBox[{
                    RowBox[{"data", "[", 
                    RowBox[{"[", 
                    RowBox[{"All", ",", " ", "1"}], "]"}], "]"}], ",", "u"}], 
                   "]"}], ",", " ", 
                  RowBox[{"{", 
                   RowBox[{"u", ",", " ", 
                    RowBox[{"w", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", " ", 
                    RowBox[{"Last", "[", "w", "]"}]}], "}"}]}], "]"}], "]"}], 
               "[", 
               RowBox[{"[", "n", "]"}], "]"}], "]"}], "]"}], ",", " ", 
            RowBox[{"{", 
             RowBox[{"n", ",", " ", "1", ",", 
              RowBox[{"Length", "[", 
               RowBox[{"Flatten", "[", 
                RowBox[{"Table", "[", 
                 RowBox[{
                  RowBox[{"Position", "[", 
                   RowBox[{
                    RowBox[{"data", "[", 
                    RowBox[{"[", 
                    RowBox[{"All", ",", " ", "1"}], "]"}], "]"}], ",", "u"}], 
                   "]"}], ",", " ", 
                  RowBox[{"{", 
                   RowBox[{"u", ",", " ", 
                    RowBox[{"w", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", " ", 
                    RowBox[{"Last", "[", "w", "]"}]}], "}"}]}], "]"}], "]"}], 
               "]"}]}], "}"}]}], "]"}], ",", " ", "Last"}], "]"}], ",", " ", 
        RowBox[{"{", 
         RowBox[{"k", ",", " ", 
          RowBox[{"data", "[", 
           RowBox[{"[", 
            RowBox[{"1", ",", "1"}], "]"}], "]"}], ",", " ", 
          RowBox[{"xmax", "-", "range"}], ",", " ", "increment"}], "}"}]}], 
       "]"}], "]"}], ",", " ", "1"}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.624509670283682*^9, 3.624509697339549*^9}, {
   3.6245097623265963`*^9, 3.6245097668391247`*^9}, {3.6245098048437138`*^9, 
   3.624509876658205*^9}, {3.6245099306255827`*^9, 3.624509945737609*^9}, {
   3.624509987183565*^9, 3.624509989807583*^9}, {3.624510066772107*^9, 
   3.624510084489943*^9}, {3.624510123251955*^9, 3.624510160968924*^9}, 
   3.62451021966461*^9, {3.6245102665620737`*^9, 3.624510272233622*^9}, {
   3.6245103189895144`*^9, 3.624510319910026*^9}, {3.624510781996653*^9, 
   3.624510782305533*^9}, {3.624510821118799*^9, 3.62451082282122*^9}, {
   3.624511067533844*^9, 3.6245110760277147`*^9}, {3.62451111976333*^9, 
   3.6245111271518803`*^9}, {3.624511201308147*^9, 3.6245112064368467`*^9}, {
   3.624528436998629*^9, 3.624528439478038*^9}, {3.624549486138623*^9, 
   3.624549489779323*^9}, 3.62454954739391*^9, {3.624549674952732*^9, 
   3.6245496965509367`*^9}, 3.6245513739674883`*^9, {3.704429987643209*^9, 
   3.704430011369636*^9}},ExpressionUUID->"e47e42bf-bf45-4e29-8a94-\
e1cd5977cf04"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"31", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"39", ",", "8"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"52", ",", "15"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"63", ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"78", ",", "100"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.624510174604381*^9, 3.624510220069808*^9, 3.624510272614212*^9, 
   3.624510320369232*^9, 3.6245105052187853`*^9, {3.624510577176179*^9, 
   3.6245106254688*^9}, {3.62451075626171*^9, 3.624510782920681*^9}, {
   3.624510864136652*^9, 3.6245108887530746`*^9}, 3.624511008037017*^9, {
   3.6245110696426277`*^9, 3.6245110770272923`*^9}, {3.6245111212110977`*^9, 
   3.6245111281441593`*^9}, {3.6245112076770363`*^9, 3.624511256989921*^9}, {
   3.62451129211399*^9, 3.624511306851157*^9}, 3.62452844920278*^9, {
   3.6245483267209053`*^9, 3.624548394508458*^9}, 3.6245485002457323`*^9, 
   3.6245485576940327`*^9, {3.624549490429887*^9, 3.624549499832713*^9}, 
   3.624549548106024*^9, {3.6245496807312117`*^9, 3.6245497151554823`*^9}, {
   3.624549980572093*^9, 3.6245500010486403`*^9}, 3.624550031578425*^9, 
   3.624550605644541*^9, {3.62455129721598*^9, 3.6245513747486343`*^9}, 
   3.624551408776781*^9, 3.624552502650263*^9, 3.6304799666316853`*^9, 
   3.6304811554387093`*^9, {3.630481254561838*^9, 3.630481268560302*^9}, 
   3.6304820348336*^9, {3.6305016447307377`*^9, 3.630501653830132*^9}, 
   3.674207684052408*^9, 3.7044278168464193`*^9, 3.704428059317831*^9, {
   3.704429997413435*^9, 
   3.704430011669445*^9}},ExpressionUUID->"cfe5979e-0eaa-44e9-b5bc-\
e852a676aaee"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"listlabelfinal", "=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"listlabel", "[", 
        RowBox[{"[", 
         RowBox[{"u", ",", " ", "2"}], "]"}], "]"}], ">", "cutoff"}], ",", 
      " ", 
      RowBox[{"listlabel", "[", 
       RowBox[{"[", "u", "]"}], "]"}], ",", " ", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "5"}], ",", "0"}], "}"}]}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"u", ",", " ", "1", ",", " ", 
      RowBox[{"Length", "[", "listlabel", "]"}]}], "}"}]}], "]"}]}]], "Input",\

 CellChangeTimes->{{3.624551462389763*^9, 3.624551550313364*^9}, {
  3.624551584310855*^9, 3.624551594855122*^9}, {3.624551779146349*^9, 
  3.624551828838238*^9}, {3.624552058032075*^9, 3.624552076289164*^9}, {
  3.6245521531849537`*^9, 3.624552169725501*^9}, {3.624552214374284*^9, 
  3.6245522262408543`*^9}},ExpressionUUID->"83ce534c-b3f8-4da7-bc71-\
27f3c97811dc"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "5"}], ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"39", ",", "8"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"52", ",", "15"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "5"}], ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"78", ",", "100"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.624552077847559*^9, 3.624552170364751*^9, {3.624552219697318*^9, 
   3.624552226810039*^9}, 3.624552502687935*^9, 3.6304799666996393`*^9, 
   3.630481155476531*^9, {3.630481254596856*^9, 3.630481268598258*^9}, 
   3.6304820348636513`*^9, {3.630501644904497*^9, 3.630501653859684*^9}, 
   3.674207684085546*^9, 3.704427816925458*^9, 3.704428059351338*^9, 
   3.7044300172129583`*^9},ExpressionUUID->"a5a9fdd1-d569-47be-a2e3-\
833823f98b10"]
}, Open  ]],

Cell["", "Text",
 CellChangeTimes->{{3.624507066239264*^9, 3.624507067531856*^9}, 
   3.624528505762251*^9},ExpressionUUID->"b8a03d4b-402c-46d7-8846-\
aadc6538be9c"],

Cell["And this is the corresponding plot :", "Text",
 CellChangeTimes->{{3.624466599220508*^9, 
  3.624466615386622*^9}},ExpressionUUID->"38e6f4c5-dafd-4c18-a816-\
f2fe888f2687"],

Cell["Define the ticks :", "Text",
 CellChangeTimes->{{3.630481202355112*^9, 
  3.630481210608653*^9}},ExpressionUUID->"5a08c7ef-2d1c-4d06-8878-\
af7e87660aad"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"majorticks", "=", "25"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"minorticks", "=", "5"}], ";"}]}], "Input",
 CellChangeTimes->{{3.630481218618137*^9, 3.630481225577479*^9}, {
  3.630481265024988*^9, 
  3.630481266808551*^9}},ExpressionUUID->"42f07b4f-a06b-4a48-9ebf-\
e18a87a25e6b"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"plot", "=", 
   RowBox[{"ListLinePlot", "[", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"data", "[", 
            RowBox[{"[", 
             RowBox[{"u", ",", "1"}], "]"}], "]"}], ",", "0"}], "}"}], ",", 
         RowBox[{"data", "[", 
          RowBox[{"[", "u", "]"}], "]"}]}], "}"}], ",", " ", 
       RowBox[{"{", 
        RowBox[{"u", ",", " ", "1", ",", " ", 
         RowBox[{"Length", "[", "data", "]"}]}], "}"}]}], "]"}], ",", " ", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"PlotStyle", "\[Rule]", "  ", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Thickness", "[", "0.003", "]"}], ",", "Black"}], "}"}], 
        ",", " ", 
        RowBox[{"{", 
         RowBox[{"u", ",", " ", "1", ",", " ", 
          RowBox[{"Length", "[", "data", "]"}]}], "}"}]}], "]"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"PlotRange", "\[Rule]", " ", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", " ", "xmax"}], "}"}], ",", " ", 
        RowBox[{"{", 
         RowBox[{"0", ",", " ", 
          RowBox[{
           RowBox[{"Max", "[", 
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{"data", "[", 
               RowBox[{"[", 
                RowBox[{"u", ",", " ", "2"}], "]"}], "]"}], ",", "  ", 
              RowBox[{"{", 
               RowBox[{"u", ",", " ", "1", ",", " ", 
                RowBox[{"Length", "[", "data", "]"}]}], "}"}]}], "]"}], "]"}],
            "+", "20"}]}], "}"}]}], "}"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"AspectRatio", "\[Rule]", " ", "0.8"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"BaseStyle", "\[Rule]", " ", 
      RowBox[{"{", 
       RowBox[{"16", ",", " ", 
        RowBox[{"FontFamily", "\[Rule]", " ", "\"\<Arial\>\""}]}], "}"}]}], 
     ",", 
     RowBox[{"FrameTicksStyle", "\[Rule]", 
      RowBox[{"Directive", "[", "Black", "]"}]}], ",", "\[IndentingNewLine]", 
     
     RowBox[{"ImageSize", "\[Rule]", " ", "600"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Epilog", "\[Rule]", " ", 
      RowBox[{"{", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"Text", "[", 
          RowBox[{
           RowBox[{"listlabelfinal", "[", 
            RowBox[{"[", 
             RowBox[{"u", ",", "1"}], "]"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"listlabelfinal", "[", 
              RowBox[{"[", 
               RowBox[{"u", ",", "1"}], "]"}], "]"}], ",", 
             RowBox[{
              RowBox[{"listlabelfinal", "[", 
               RowBox[{"[", 
                RowBox[{"u", ",", "2"}], "]"}], "]"}], "+", "5"}]}], "}"}], 
           ",", " ", 
           RowBox[{"BaseStyle", "\[Rule]", " ", "15"}]}], "]"}], ",", " ", 
         RowBox[{"{", 
          RowBox[{"u", ",", " ", "1", ",", 
           RowBox[{"Length", "[", "listlabelfinal", "]"}]}], "}"}]}], "]"}], 
       "}"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"Frame", "\[Rule]", " ", "True"}], ",", "\[IndentingNewLine]", 
     RowBox[{"FrameStyle", "\[Rule]", " ", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Thickness", "[", "0.003", "]"}], ",", " ", 
        RowBox[{"Thickness", "[", "0.003", "]"}]}], "}"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"FrameLabel", "\[Rule]", " ", 
      RowBox[{"{", 
       RowBox[{"\"\<m / z\>\"", ",", " ", "\"\<RELATIVE INTENSITY\>\""}], 
       "}"}]}], ",", 
     RowBox[{"LabelStyle", "\[Rule]", 
      RowBox[{"Directive", "[", "Black", "]"}]}], ",", 
     RowBox[{"FrameTicks", "\[Rule]", " ", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Table", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"u", ",", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"FractionalPart", "[", 
                  RowBox[{"u", "/", "majorticks"}], "]"}], "\[NotEqual]", 
                 "0"}], ",", "  ", "\"\<\>\"", ",", "u"}], "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"0", ",", 
                RowBox[{"If", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"FractionalPart", "[", 
                    RowBox[{"u", "/", "majorticks"}], "]"}], "\[NotEqual]", 
                   "0"}], ",", "  ", "0.007", ",", "0.01"}], "]"}]}], "}"}]}],
              "}"}], ",", " ", 
            RowBox[{"{", 
             RowBox[{
             "u", ",", " ", "0", ",", " ", "xmax", ",", " ", "minorticks"}], 
             "}"}]}], "]"}], ",", "None"}], "}"}], ",", " ", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Table", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"u", ",", "u", ",", 
              RowBox[{"{", 
               RowBox[{"0", ",", "0.01"}], "}"}]}], "}"}], ",", " ", 
            RowBox[{"{", 
             RowBox[{"u", ",", " ", "0", ",", " ", "ymax", ",", " ", "10"}], 
             "}"}]}], "]"}], ",", " ", "None"}], "}"}]}], "}"}]}]}], 
    "]"}]}]}]], "Input",
 CellChangeTimes->{{3.624453666147122*^9, 3.6244536917807693`*^9}, {
   3.62445374950001*^9, 3.624453824401128*^9}, {3.624453857547353*^9, 
   3.6244538584078197`*^9}, {3.624453915300169*^9, 3.624453917003532*^9}, {
   3.624454204977376*^9, 3.6244542120901613`*^9}, {3.624454255092119*^9, 
   3.6244545697094707`*^9}, {3.624454795296205*^9, 3.624454811716518*^9}, {
   3.624454847119788*^9, 3.6244548481389017`*^9}, {3.6244548823714743`*^9, 
   3.624455299945178*^9}, {3.624455382066863*^9, 3.624455448083993*^9}, {
   3.6244558397649*^9, 3.624455950035143*^9}, {3.624455994121777*^9, 
   3.624456194643199*^9}, {3.6244562289103813`*^9, 3.6244562379013166`*^9}, {
   3.6244563048129807`*^9, 3.624456339567835*^9}, {3.624456416650249*^9, 
   3.624456458749731*^9}, {3.624456551423642*^9, 3.6244566559059753`*^9}, {
   3.624456720570384*^9, 3.624456721088295*^9}, {3.624456783664845*^9, 
   3.624456812644886*^9}, {3.624456915601869*^9, 3.6244569309538927`*^9}, {
   3.624457170586009*^9, 3.6244572381822433`*^9}, {3.624461329798161*^9, 
   3.62446148740899*^9}, {3.624461545179669*^9, 3.6244615589935427`*^9}, {
   3.6244617516462593`*^9, 3.624461752195798*^9}, {3.624461812442177*^9, 
   3.624461813803823*^9}, 3.6244618480700827`*^9, {3.6244619140225554`*^9, 
   3.624461943202293*^9}, {3.624465666039666*^9, 3.624465764320829*^9}, {
   3.624466579724222*^9, 3.624466580267527*^9}, 3.624466950874839*^9, 
   3.624468415019681*^9, {3.624468473508683*^9, 3.624468473876546*^9}, {
   3.624472142083002*^9, 3.6244721939487333`*^9}, {3.624472274103424*^9, 
   3.624472318963764*^9}, {3.624472422604488*^9, 3.624472430408564*^9}, 
   3.624510881276417*^9, {3.624549741473493*^9, 3.6245497477000923`*^9}, {
   3.624551561496429*^9, 3.6245515690043583`*^9}, 3.624551622861844*^9, {
   3.624551666718635*^9, 3.624551666842339*^9}, {3.624551697488118*^9, 
   3.624551697578752*^9}, {3.6245518672482157`*^9, 3.624551867378166*^9}, {
   3.624552250126974*^9, 3.6245522628885*^9}, {3.624552475690467*^9, 
   3.6245524758991127`*^9}, {3.630479918306587*^9, 3.630479926833427*^9}, {
   3.630479959454274*^9, 3.630479975732191*^9}, {3.6304800072162867`*^9, 
   3.630480046712472*^9}, {3.63048114974139*^9, 3.630481178642116*^9}, {
   3.630481249377288*^9, 3.630481251915051*^9}, {3.630481484864318*^9, 
   3.63048153363206*^9}, {3.630482793455439*^9, 3.630482794423312*^9}, {
   3.630483132081943*^9, 3.630483132698337*^9}, {3.704428116640985*^9, 
   3.704428155309144*^9}, {3.704429949348257*^9, 3.704429950122704*^9}, {
   3.7044300432986107`*^9, 3.704430043439896*^9}, {3.7044300986239033`*^9, 
   3.704430098925746*^9}, {3.7044306408243227`*^9, 3.704430695575658*^9}, {
   3.704430731871209*^9, 3.7044307725481443`*^9}, {3.704430838945587*^9, 
   3.704430888095716*^9}, {3.7044309698632107`*^9, 
   3.7044309753349123`*^9}},ExpressionUUID->"4865f9a0-b2e8-453b-abfe-\
0c3d2dfae070"],

Cell[BoxData[
 GraphicsBox[{{}, {{}, {}, 
    {GrayLevel[0], PointSize[0.019444444444444445`], Thickness[0.003], 
     StyleBox[LineBox[{{27., 0.}, {27., 1.2}, {27., 1.2}}],
      FontFamily->"Arial"]}, 
    {GrayLevel[0], PointSize[0.019444444444444445`], Thickness[0.003], 
     StyleBox[LineBox[{{31., 0.}, {31., 1.8}, {31., 1.8}}],
      FontFamily->"Arial"]}, 
    {GrayLevel[0], PointSize[0.019444444444444445`], Thickness[0.003], 
     StyleBox[LineBox[{{37., 0.}, {37., 1.7}, {37., 1.7}}],
      FontFamily->"Arial"]}, 
    {GrayLevel[0], PointSize[0.019444444444444445`], Thickness[0.003], 
     StyleBox[LineBox[{{38., 0.}, {38., 2.5}, {38., 2.5}}],
      FontFamily->"Arial"]}, 
    {GrayLevel[0], PointSize[0.019444444444444445`], Thickness[0.003], 
     StyleBox[LineBox[{{39., 0.}, {39., 8.2}, {39., 8.2}}],
      FontFamily->"Arial"]}, 
    {GrayLevel[0], PointSize[0.019444444444444445`], Thickness[0.003], 
     StyleBox[LineBox[{{49., 0.}, {49., 1.3}, {49., 1.3}}],
      FontFamily->"Arial"]}, 
    {GrayLevel[0], PointSize[0.019444444444444445`], Thickness[0.003], 
     StyleBox[LineBox[{{50., 0.}, {50., 10.}, {50., 10.}}],
      FontFamily->"Arial"]}, 
    {GrayLevel[0], PointSize[0.019444444444444445`], Thickness[0.003], 
     StyleBox[LineBox[{{51., 0.}, {51., 12.7}, {51., 12.7}}],
      FontFamily->"Arial"]}, 
    {GrayLevel[0], PointSize[0.019444444444444445`], Thickness[0.003], 
     StyleBox[LineBox[{{52., 0.}, {52., 15.}, {52., 15.}}],
      FontFamily->"Arial"]}, 
    {GrayLevel[0], PointSize[0.019444444444444445`], Thickness[0.003], 
     StyleBox[LineBox[{{63., 0.}, {63., 2.}, {63., 2.}}],
      FontFamily->"Arial"]}, 
    {GrayLevel[0], PointSize[0.019444444444444445`], Thickness[0.003], 
     StyleBox[LineBox[{{73., 0.}, {73., 1.1}, {73., 1.1}}],
      FontFamily->"Arial"]}, 
    {GrayLevel[0], PointSize[0.019444444444444445`], Thickness[0.003], 
     StyleBox[LineBox[{{74., 0.}, {74., 3.7}, {74., 3.7}}],
      FontFamily->"Arial"]}, 
    {GrayLevel[0], PointSize[0.019444444444444445`], Thickness[0.003], 
     StyleBox[LineBox[{{75., 0.}, {75., 1.5}, {75., 1.5}}],
      FontFamily->"Arial"]}, 
    {GrayLevel[0], PointSize[0.019444444444444445`], Thickness[0.003], 
     StyleBox[LineBox[{{76., 0.}, {76., 3.6}, {76., 3.6}}],
      FontFamily->"Arial"]}, 
    {GrayLevel[0], PointSize[0.019444444444444445`], Thickness[0.003], 
     StyleBox[LineBox[{{77., 0.}, {77., 15.9}, {77., 15.9}}],
      FontFamily->"Arial"]}, 
    {GrayLevel[0], PointSize[0.019444444444444445`], Thickness[0.003], 
     StyleBox[LineBox[{{78., 0.}, {78., 100.}, {78., 100.}}],
      FontFamily->"Arial"]}, 
    {GrayLevel[0], PointSize[0.019444444444444445`], Thickness[0.003], 
     StyleBox[LineBox[{{79., 0.}, {79., 6.7}, {79., 6.7}}],
      FontFamily->"Arial"]}}, {}},
  AspectRatio->0.8,
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  BaseStyle->{16, FontFamily -> "Arial"},
  DisplayFunction->Identity,
  Epilog->{{
     InsetBox[
      FormBox[
       RowBox[{"-", "5"}], TraditionalForm], {-5, 5}, BaseStyle -> 15], 
     InsetBox[
      FormBox["39", TraditionalForm], {39, 13}, BaseStyle -> 15], 
     InsetBox[
      FormBox["52", TraditionalForm], {52, 20}, BaseStyle -> 15], 
     InsetBox[
      FormBox[
       RowBox[{"-", "5"}], TraditionalForm], {-5, 5}, BaseStyle -> 15], 
     InsetBox[
      FormBox["78", TraditionalForm], {78, 105}, BaseStyle -> 15]}},
  Frame->{{True, True}, {True, True}},
  FrameLabel->{{
     FormBox["\"RELATIVE INTENSITY\"", TraditionalForm], None}, {
     FormBox["\"m / z\"", TraditionalForm], None}},
  FrameStyle->{
    Thickness[0.003], 
    Thickness[0.003]},
  FrameTicks->{{{{0, 
       FormBox["0", TraditionalForm], {0, 0.01}}, {5, 
       FormBox["\"\"", TraditionalForm], {0, 0.007}}, {10, 
       FormBox["\"\"", TraditionalForm], {0, 0.007}}, {15, 
       FormBox["\"\"", TraditionalForm], {0, 0.007}}, {20, 
       FormBox["\"\"", TraditionalForm], {0, 0.007}}, {25, 
       FormBox["25", TraditionalForm], {0, 0.01}}, {30, 
       FormBox["\"\"", TraditionalForm], {0, 0.007}}, {35, 
       FormBox["\"\"", TraditionalForm], {0, 0.007}}, {40, 
       FormBox["\"\"", TraditionalForm], {0, 0.007}}, {45, 
       FormBox["\"\"", TraditionalForm], {0, 0.007}}, {50, 
       FormBox["50", TraditionalForm], {0, 0.01}}, {55, 
       FormBox["\"\"", TraditionalForm], {0, 0.007}}, {60, 
       FormBox["\"\"", TraditionalForm], {0, 0.007}}, {65, 
       FormBox["\"\"", TraditionalForm], {0, 0.007}}, {70, 
       FormBox["\"\"", TraditionalForm], {0, 0.007}}, {75, 
       FormBox["75", TraditionalForm], {0, 0.01}}, {80, 
       FormBox["\"\"", TraditionalForm], {0, 0.007}}, {85, 
       FormBox["\"\"", TraditionalForm], {0, 0.007}}, {90, 
       FormBox["\"\"", TraditionalForm], {0, 0.007}}, {95, 
       FormBox["\"\"", TraditionalForm], {0, 0.007}}, {100, 
       FormBox["100", TraditionalForm], {0, 0.01}}}, None}, {{{0, 
       FormBox["0", TraditionalForm], {0, 0.01}}, {10, 
       FormBox["10", TraditionalForm], {0, 0.01}}, {20, 
       FormBox["20", TraditionalForm], {0, 0.01}}, {30, 
       FormBox["30", TraditionalForm], {0, 0.01}}, {40, 
       FormBox["40", TraditionalForm], {0, 0.01}}, {50, 
       FormBox["50", TraditionalForm], {0, 0.01}}, {60, 
       FormBox["60", TraditionalForm], {0, 0.01}}, {70, 
       FormBox["70", TraditionalForm], {0, 0.01}}, {80, 
       FormBox["80", TraditionalForm], {0, 0.01}}, {90, 
       FormBox["90", TraditionalForm], {0, 0.01}}, {100, 
       FormBox["100", TraditionalForm], {0, 0.01}}}, None}},
  FrameTicksStyle->Directive[
    GrayLevel[0]],
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImageSize->600,
  LabelStyle->Directive[
    GrayLevel[0]],
  Method->{},
  PlotRange->{{0, 100}, {0, 120.}},
  PlotRangeClipping->True,
  PlotRangePadding->{{0, 0}, {0, 0}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.704428156059688*^9, 3.704429950538127*^9, {3.7044300261540947`*^9, 
   3.704430044069201*^9}, 3.704430099288028*^9, {3.704430651136649*^9, 
   3.704430696160425*^9}, {3.704430743060981*^9, 3.704430773280712*^9}, {
   3.7044308539570427`*^9, 3.704430888547276*^9}, 
   3.704430975773538*^9},ExpressionUUID->"af00df76-2720-45ab-b1d2-\
d4451f20c6b7"]
}, Open  ]],

Cell["\<\
Select the plot, then copy as pdf from the edit menu.
\
\>", "Text",
 CellChangeTimes->{{3.6244712208809*^9, 3.6244712235202*^9}, {
  3.624472231357128*^9, 3.624472251503628*^9}, {3.630480444297894*^9, 
  3.630480451079816*^9}},ExpressionUUID->"44e7b1b6-1547-44f0-b10a-\
58bd4f690494"]
}, Open  ]]
}, Open  ]]
},
WindowSize->{1114, 645},
WindowMargins->{{5, Automatic}, {Automatic, 0}},
FrontEndVersion->"13.1 for Mac OS X ARM (64-bit) (June 16, 2022)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"57d142e8-a04e-4ab7-b32a-aa34f342adea"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 173, 3, 98, "Title",ExpressionUUID->"327a14db-cd1f-4ef7-be00-8066f014904c"],
Cell[756, 27, 281, 4, 35, "Text",ExpressionUUID->"2cc1ee7a-5b2f-4439-be33-2cb32bd6b26f"],
Cell[1040, 33, 325, 7, 51, "Text",ExpressionUUID->"1ba5d938-4aed-4023-ae8e-b535d668be9f"],
Cell[1368, 42, 508, 10, 46, "Input",ExpressionUUID->"fa92cbc4-54d7-4fc4-926c-6ba6b25df55c"],
Cell[1879, 54, 162, 3, 35, "Text",ExpressionUUID->"fd6c693c-23f9-447e-8b46-0d795f0f1d0c"],
Cell[CellGroupData[{
Cell[2066, 61, 265, 6, 30, "Input",ExpressionUUID->"7ecf0ad7-2bc3-4ad7-94c2-9375d56853ff"],
Cell[2334, 69, 1431, 42, 56, "Output",ExpressionUUID->"f6cb1595-820d-434b-be98-950cb74553a8"]
}, Open  ]],
Cell[3780, 114, 651, 20, 30, "Input",ExpressionUUID->"02cafdeb-0a0b-4c44-9f16-c141f8e23e18"],
Cell[CellGroupData[{
Cell[4456, 138, 464, 11, 30, "Input",ExpressionUUID->"7bd0aac9-affe-4b6c-bbd5-82c016d32978"],
Cell[4923, 151, 1482, 47, 321, "Output",ExpressionUUID->"81a4383e-5e43-48a7-aa0c-b12c0ba65524"]
}, Open  ]],
Cell[6420, 201, 481, 9, 51, "Text",ExpressionUUID->"ed0804b0-0905-482b-99ee-76e95c43ce1e"],
Cell[6904, 212, 1681, 45, 72, "Input",ExpressionUUID->"ef377d91-6543-41eb-a406-f68855880d8a"],
Cell[8588, 259, 241, 6, 35, "Text",ExpressionUUID->"d8aa97ba-2a32-4475-aa38-acfb33e9b2e8"],
Cell[8832, 267, 829, 26, 73, "Input",ExpressionUUID->"bc1b0dc0-06ec-41af-b881-8de904aa9c75"],
Cell[9664, 295, 272, 6, 35, "Text",ExpressionUUID->"bdb62272-4541-4b95-a8ad-4e523f42eed4"],
Cell[9939, 303, 247, 6, 30, "Input",ExpressionUUID->"ecac3cc3-49f9-4c85-a895-5ea95f7b5ce0"],
Cell[10189, 311, 151, 6, 58, "Text",ExpressionUUID->"13c32e0f-0a49-490a-9b9e-b661007ce4ba"],
Cell[CellGroupData[{
Cell[10365, 321, 594, 10, 67, "Section",ExpressionUUID->"1799c637-97f2-4aea-8f81-1095bb35fc99"],
Cell[CellGroupData[{
Cell[10984, 335, 158, 3, 30, "Input",ExpressionUUID->"81ebb1f7-1bf7-4260-95b3-c65e61f21431"],
Cell[11145, 340, 2119, 51, 56, "Output",ExpressionUUID->"d7d1b1a6-0955-4827-8295-0354c1b1cc3c"]
}, Open  ]],
Cell[13279, 394, 224, 3, 35, "Text",ExpressionUUID->"8757527d-9ca7-419c-9425-2bb05e56bb4a"],
Cell[13506, 399, 649, 11, 30, "Input",ExpressionUUID->"2ab33a9b-7614-414d-933f-49b777ca8923"],
Cell[14158, 412, 218, 5, 35, "Text",ExpressionUUID->"b9189c49-38ee-4031-9cc1-fc895d9e65e6"],
Cell[14379, 419, 501, 9, 30, "Input",ExpressionUUID->"a4939b3e-52e7-4bcf-a8e3-c38182061a69"],
Cell[14883, 430, 339, 7, 35, "Text",ExpressionUUID->"d4a56348-e8d9-48c1-bf48-88dbc15219dc"],
Cell[15225, 439, 199, 5, 30, "Input",ExpressionUUID->"84daa45c-f7e4-41f0-b7b1-960410b9f3c4"],
Cell[15427, 446, 149, 6, 58, "Text",ExpressionUUID->"019a0f03-edfd-4399-bad4-3304f3bd879a"],
Cell[15579, 454, 244, 4, 35, "Text",ExpressionUUID->"156392f5-4d26-48fd-9272-fe968a3399bf"],
Cell[CellGroupData[{
Cell[15848, 462, 916, 17, 30, "Input",ExpressionUUID->"c4539a98-2fe8-41cb-933a-192807881fc0"],
Cell[16767, 481, 1785, 33, 34, "Output",ExpressionUUID->"7e51c158-9c18-45f9-b4f6-ee6224d8f2d9"]
}, Open  ]],
Cell[CellGroupData[{
Cell[18589, 519, 132, 2, 30, "Input",ExpressionUUID->"e4646160-22cd-43ae-8e9e-dc31e92e51ca"],
Cell[18724, 523, 1059, 16, 34, "Output",ExpressionUUID->"0e2bad62-633c-4ff0-857b-9762e4351f8b"]
}, Open  ]],
Cell[CellGroupData[{
Cell[19820, 544, 112, 1, 30, "Input",ExpressionUUID->"8f26da4a-2832-4f43-8007-53b788b617a6"],
Cell[19935, 547, 1068, 17, 34, "Output",ExpressionUUID->"41ad1246-2dd3-46a7-9c37-bd1f7c90cb22"]
}, Open  ]],
Cell[CellGroupData[{
Cell[21040, 569, 600, 18, 30, "Input",ExpressionUUID->"fce50a94-0f26-4eda-b9c9-5a9a2fc9404e"],
Cell[21643, 589, 808, 21, 34, "Output",ExpressionUUID->"ddacdf1f-1e0d-4e4d-9012-599ea477986c"]
}, Open  ]],
Cell[CellGroupData[{
Cell[22488, 615, 872, 24, 30, "Input",ExpressionUUID->"3900678f-0e46-4c10-8868-796e5f627a4d"],
Cell[23363, 641, 582, 10, 34, "Output",ExpressionUUID->"1bc22f00-6d69-4ac1-9441-fe579ff78dbb"]
}, Open  ]],
Cell[CellGroupData[{
Cell[23982, 656, 2148, 55, 52, "Input",ExpressionUUID->"6d18e358-3a1a-428a-8877-6b39a77ed902"],
Cell[26133, 713, 1269, 20, 34, "Output",ExpressionUUID->"5ab0c545-272b-4b8e-9fab-6202d269669c"]
}, Open  ]],
Cell[CellGroupData[{
Cell[27439, 738, 2310, 57, 52, "Input",ExpressionUUID->"bca37383-848f-4101-b5ac-5faa5e0d083d"],
Cell[29752, 797, 493, 9, 34, "Output",ExpressionUUID->"dff7cd3b-9e3e-4359-a2d6-fce2191cb612"]
}, Open  ]],
Cell[CellGroupData[{
Cell[30282, 811, 2385, 59, 73, "Input",ExpressionUUID->"d5974d50-8398-49b5-92f1-811d6f2bc7a7"],
Cell[32670, 872, 1395, 39, 56, "Output",ExpressionUUID->"a913a312-eecd-4364-a6f0-3a17d1f99762"]
}, Open  ]],
Cell[34080, 914, 151, 6, 58, "Text",ExpressionUUID->"26814d25-92f2-4037-9246-f9de5f06760b"],
Cell[34234, 922, 188, 3, 35, "Text",ExpressionUUID->"67e04dc6-aba3-43f3-8e0f-260a5f527871"],
Cell[CellGroupData[{
Cell[34447, 929, 670, 14, 30, "Input",ExpressionUUID->"a1dc9e74-eabe-412d-abc0-5dd232053984"],
Cell[35120, 945, 1405, 28, 34, "Output",ExpressionUUID->"f8135f5b-a09c-4cf1-be7f-4d89190368ac"]
}, Open  ]],
Cell[CellGroupData[{
Cell[36562, 978, 3275, 70, 157, "Input",ExpressionUUID->"e47e42bf-bf45-4e29-8a94-e1cd5977cf04"],
Cell[39840, 1050, 1662, 32, 34, "Output",ExpressionUUID->"cfe5979e-0eaa-44e9-b5bc-e852a676aaee"]
}, Open  ]],
Cell[CellGroupData[{
Cell[41539, 1087, 973, 25, 30, "Input",ExpressionUUID->"83ce534c-b3f8-4da7-bc71-27f3c97811dc"],
Cell[42515, 1114, 860, 22, 34, "Output",ExpressionUUID->"a5a9fdd1-d569-47be-a2e3-833823f98b10"]
}, Open  ]],
Cell[43390, 1139, 165, 3, 35, "Text",ExpressionUUID->"b8a03d4b-402c-46d7-8846-aadc6538be9c"],
Cell[43558, 1144, 178, 3, 35, "Text",ExpressionUUID->"38e6f4c5-dafd-4c18-a816-f2fe888f2687"],
Cell[43739, 1149, 160, 3, 35, "Text",ExpressionUUID->"5a08c7ef-2d1c-4d06-8878-af7e87660aad"],
Cell[43902, 1154, 331, 8, 52, "Input",ExpressionUUID->"42f07b4f-a06b-4a48-9ebf-e18a87a25e6b"],
Cell[CellGroupData[{
Cell[44258, 1166, 8172, 176, 367, "Input",ExpressionUUID->"4865f9a0-b2e8-453b-abfe-0c3d2dfae070"],
Cell[52433, 1344, 6301, 131, 490, "Output",ExpressionUUID->"af00df76-2720-45ab-b1d2-d4451f20c6b7"]
}, Open  ]],
Cell[58749, 1478, 295, 7, 58, "Text",ExpressionUUID->"44e7b1b6-1547-44f0-b10a-58bd4f690494"]
}, Open  ]]
}, Open  ]]
}
]
*)

